package cz.utb.tadis.charts.model;

public class UnprocessedChartDataPoint<X, Y, Z> extends ChartDataPoint {

    private long count;

    public UnprocessedChartDataPoint(long count, X x){
        super(x);
        this.count = count;
    }

    public UnprocessedChartDataPoint(long count, X x, Y y){
        super(x, y);
        this.count = count;
    }

    public UnprocessedChartDataPoint(long count, X x, Y y, Z z) {
        super(x, y, z);
        this.count = count;
    }

    public long getCount() {
        return count;
    }

    public void setCount(long count) {
        this.count = count;
    }
}
